Bug 213708 - SQL statement - large resultsets the process simply dies
SQL statement - large resultsets the process simply dies
Status: CLOSED WONTFIX
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: php (Show other bugs)
3.0
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Joe Orton
David Lawrence
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-11-02 12:23 EST by Daniel Hanman
Modified: 2008-08-02 19:40 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-10-19 14:40:13 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Daniel Hanman 2006-11-02 12:23:54 EST
Description of problem:
We have a website running on Apache, PHP and MySQL DB. This sits on RedHat
Advanced Server 3.
We experienced problems using the standard AS3 PHP RPM - php-4.3.2-36.ent.
Using this, in a PHP page we connected to a database, prepared a SQL statement
and called get_result_array().
For small resultsets there was no problem, but for large resultsets the process
simply died and did not return.
There were no errors in the apache error log.
This issue resolves with php4-4.3.10-10.i386.rpm - which is not the standard one
for this version of AS3.

Version-Release number of selected component (if applicable):
RHEL AS 3 Update 6. Standard php-4.3.2-36 RedHat RPM

How reproducible:
Fairly, you just need a DB capable of producing large data sets


Steps to Reproduce:
For small resultsets there was no problem, but for large resultsets the process
simply died and did not return.
There were no errors in the apache error log.

  
Actual results:


Expected results:
Results from the SQL query

Additional info:
Comment 1 Joe Orton 2007-04-25 08:35:35 EDT
Thanks for the report.  Can you give an example script which shows this problem?
 (or a preciese description of exactly what the script in question does -
get_result_array() is not a PHP function; what does that function do?)
Comment 2 RHEL Product and Program Management 2007-10-19 14:40:13 EDT
This bug is filed against RHEL 3, which is in maintenance phase.
During the maintenance phase, only security errata and select mission
critical bug fixes will be released for enterprise products. Since
this bug does not meet that criteria, it is now being closed.
 
For more information of the RHEL errata support policy, please visit:
http://www.redhat.com/security/updates/errata/
 
If you feel this bug is indeed mission critical, please contact your
support representative. You may be asked to provide detailed
information on how this bug is affecting you.

Note You need to log in before you can comment on or make changes to this bug.